Create observability destination
/observability-destination
Request Body
Secret bag stored as a single encrypted JSON blob. Use api_key for Datadog, token for Splunk HEC, shared_key for Microsoft Sentinel. Never returned by the API.
datadogsplunk_hecsentinel
Response Body
Non-secret destination configuration (site, tags, log_types filter).
The environment whose logs are forwarded.
The ID of the observability destination.
Whether forwarding is enabled.
Human-readable destination name.
Destination type.
datadogsplunk_hecsentinel
curl -X POST 'https://api.truto.one/observability-destination' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"environment_id": "your_environment_id",
"type": "datadog",
"name": "your_name",
"is_active": true,
"config": {},
"secrets": {}
}'const body = {
"environment_id": "your_environment_id",
"type": "datadog",
"name": "your_name",
"is_active": true,
"config": {},
"secrets": {}
};
const response = await fetch('https://api.truto.one/observability-destination', {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/observability-destination"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
payload = {
"environment_id": "your_environment_id",
"type": "datadog",
"name": "your_name",
"is_active": True,
"config": {},
"secrets": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())